#include "copyright.h"
#define NILPF		((char *(*)()) 0)
#define NILGF		((int (*)()) 0)

struct enumTemplate {
    char *name;
    int value;
    struct fieldTemplate *subFields;
    void (*initFn)();
};

#define DFLT_ENUM_VAL	-12345

struct fieldTemplate {
    char *text;
    int offset;
    char *(*printFn)();
    int (*getFn)();
    struct enumTemplate *enumList;
};

#define OFS(field)	( (char *) &((octObject *) 0)->contents.field - \
			    (char *) 0 )
#define TYPE_OFS	( (char *) &((octObject *) 0)->type - (char *) 0 )

extern struct fieldTemplate summaryTemplate[];
extern struct fieldTemplate detailedTemplate[];
extern struct enumTemplate detailedObjEnum[];

#define RESET_FIELD	0
#define KEEP_FIELD	1
