/*		PRINT MAXIMUM AND MINIMUM CAP INFORMATION
*		ALL PAIRS 
*		-----------------------------------------
*
*   File:	allpair_pr.c
*   Author: Umakanta Choudhury
*   Date:   19th July
*
*/


#include <stdio.h>
#include "layout.h"
/* #include "cap_library.h" */

REPORT allpair_pr(layout,debug_file)

struct Layout *layout;	/* the layout structure */
FILE *debug_file;

{
    struct Chan_info	*chan_info;
    struct Channel	*channel;
	struct Chan_info_list_link *chan_info_list_link;

	fprintf(debug_file,"\nallpair_pr.c\n");


	for(chan_info_list_link = layout->chan_info_list_link;
		chan_info_list_link != NULL;
		chan_info_list_link = chan_info_list_link->next){

		chan_info = chan_info_list_link->chan_info_list;
		if(chan_info != NULL)
			fprintf(debug_file,"\npair (%s,%s) :\n",
				chan_info->netA->name,chan_info->netB->name);
		for(chan_info = chan_info_list_link->chan_info_list; 
			chan_info != NULL; chan_info = chan_info->next){

			channel = chan_info->channel;
			fprintf(debug_file,"\nchannel %s :\n",channel->name);
			fprintf(debug_file,"Cx_max %g \n",chan_info->Cx_max);
			fprintf(debug_file,"Cx_min %g \n",chan_info->Cx_min);
			fprintf(debug_file,"Cy_max %g \n",chan_info->Cy_max);
			fprintf(debug_file,"Cy_min %g \n",chan_info->Cy_min);
			fprintf(debug_file,"Ccross_max %g \n",chan_info->Ccross_max);
			fprintf(debug_file,"Ccross_min %g \n",chan_info->Ccross_min);
			fprintf(debug_file,"C_max %g \n",chan_info->C_max);
			fprintf(debug_file,"C_min %g \n",chan_info->C_min);
		}
	}
	return(OK);
}
