/*		PRINT CAPACITANCE LIBRARY INFORMATION
*		-------------------------------------
*
*   File:	cap_lib_pr.c
*   Author: Umakanta Choudhury
*   Date:   10th June
*
*/


#include <stdio.h>
#include "layout.h"
#include "cap_library.h"

void
  cap_lib_pr(cap_library,debug_file)
struct Cap_Library *cap_library;	/* the capacitance library */
FILE *debug_file;
{

	fprintf(debug_file,"\ncap_lib_pr.c\n");

	fprintf(debug_file,"coeffX0 = %f\n",
		cap_library->coeffX0);
	fprintf(debug_file,"coeffX_sw1inv = %f\n",
		cap_library->coeffX_sw1inv);
	fprintf(debug_file,"coeffX_sw2inv = %f\n",
		cap_library->coeffX_sw2inv);
	fprintf(debug_file,"coeffX_sinv = %f\n",
		cap_library->coeffX_sinv);
	fprintf(debug_file,"coeffX_sinv_sq = %f\n",
		cap_library->coeffX_sinv_sq);

	fprintf(debug_file,"coeffY0 = %f\n",
		cap_library->coeffY0);
	fprintf(debug_file,"coeffY_sw1inv = %f\n",
		cap_library->coeffY_sw1inv);
	fprintf(debug_file,"coeffY_sw2inv = %f\n",
		cap_library->coeffY_sw2inv);
	fprintf(debug_file,"coeffY_sinv = %f\n",
		cap_library->coeffY_sinv);
	fprintf(debug_file,"coeffY_sinv_sq = %f\n",
		cap_library->coeffY_sinv_sq);

	fprintf(debug_file,"coeffC0 = %f\n",
		cap_library->coeffC0);
	fprintf(debug_file,"coeffC_w1 = %f\n",
		cap_library->coeffC_w1);
	fprintf(debug_file,"coeffC_w2 = %f\n",
		cap_library->coeffC_w2);
	fprintf(debug_file,"coeffC_w1w2 = %f\n",
		cap_library->coeffC_w1w2);
}
