/*		CREATE THE INPUT FILE FOR SENSCALC
*		----------------------------------
*
*   File:	create_senscalc_inp.c
*   Author: Umakanta Choudhury
*   Date:   27 Aug 91
*
*/
extern int strcmp();

#include <stdio.h>
#include "circuit.h"
#include "macros.h"

void
  create_senscalc_inp(circuit)
struct Circuit *circuit; /* The circuit structure */
{
    struct Performance *perf; /* The performance structure */
    FILE *text_file;
    char filename[50];

    /* Open the text file */
    sprintf(filename,"%s_%d","/tmp/parcar.senscalc_inp",getpid());
    FOPEN(text_file, filename, "w" );

    for(perf = circuit->perf_list; perf != NULL; 
        perf = perf->next){ 

        fprintf(text_file,"%s\n",perf->name);
        fprintf(text_file,"%s\n",perf->ckt_file_name);
        if(perf->next != NULL)
        fprintf(text_file,"$\n");
    }
    fclose(text_file);
}
