/*     net_present.c
 *
 *   Author:     Umakanta Choudhury
 *   Date:       15 July 1989
 *   Last modified: Enrico Malavasi  -  Aug. 1992
 *
 *   Purpose: Check whether a net is present in left or right list of a channel
 */
#include <stdio.h>
#include <string.h>
#include "layout.h"

REPORT
  net_present(list, net)
struct	NetLink	*list;
struct	Net     *net;
{
    struct NetLink *netLink;

    for(netLink=list ; netLink!=NULL ; netLink=netLink->next) {
	if(! strcmp(netLink->net->name, net->name)) {
	    return YES;
	}
    }
    return NO;
}
