c*********************************************************************
c      modifications to the original harwell routine
c
c            1. lines 1 and 2 have been commented out
c
c*********************************************************************
c        la01bd         13/02/75
c name la01bd(r)                 check
c    la01bd - a routine to solve the linear programming problem.
c      it calls la01cd to solve the problem, the main function
c      of la01bd is to segment the workspace provided by the
c      caller.
c
      subroutine la01bd(n,m,l,a,b,c,x,f,ia,iprint,ind,wk,ier)
      implicit double precision(a-h,o-z)
      double precision a(ia,1),b(1),c(1),x(1),wk(1)
      integer ind(1)
c
c    wk   real array((m+1)*(m+3)); (*:la01cd); workspace provided
c         by the caller.  la01bd divides it into segments and
c         passes them to la01cd.
c
c    all the other arguments are described in la01cd.
c
c      define workspace segments
c
      m1=m+1
      iv=1
      iw=iv+m1
      iu=iw+m1
c
c      call lp routine
c
      call la01cd(n,m,l,a,b,c,x,f,ia,iprint,ind,wk(iv),ier,
     *           wk(iu),m1,wk(iw))
c
c      return to caller
c
      return
      end
