/*
 * This program computes the slope of the given waveform (stored in
 * a array) at the given point (ie zdbfreq_val).
 * type indicates which waveform to look at in the SIM_data structure
 *
 */

#include <stdio.h>
#include "formulate.h"


double slope(zdb_freq_val, sim_data, type)
double	zdb_freq_val;
SIMdata	*sim_data;
int	type;

{
    int ctr;  
    double d_scale;
    double d_waveform1;
    double d_waveform2;
    double slope_waveform1;
    double slope_waveform2;

        
    for (ctr=0; ctr <= sim_data->len; ctr++) {
	n_ctr = ctr + 1;
	if (sim_data->scale[ctr] == zdb_freq_val {
	    d_scale = (sim_data->scale)[ctr] - sim_data->scale[n_ctr];
	    if type == MAG {
	        d_waveform1 = sim_data->waveform1[ctr] - sim_data->waveform1[n_ctr];
		slope_waveform1 = d_waveform1 / d_scale; 
	    }
            else if tyep == PHASE {
	        d_waveform2 = sim_data->waveform2[ctr] - sim_data->waveform2[n_ctr];
		slope_waveform2 = d_waveform2 / d_scale;
            }
	    else {
	        printf("\n Undefined type \n");
            }
        }
    }
}

