/*
 * VEM Polygon Modifications
 *
 * David Harrison
 * University of California,  1986, 1988
 *
 * Definitions for polygon modification module.
 */

#ifndef POLY_MOD
#define POLY_MOD

#include "ansi.h"
#include "general.h"
#include "oct.h"

extern vemStatus polyProc
  ARGS((int *numPoints, struct octPoint **polyPoints, struct octBox *theBB,
	int stip));
  /* Processes a polygon to try to make it easier to draw */

#endif /* POLY_MOD */
