/*
 * Highlight Set Access Definitions
 *
 * David Harrison 
 * University of California,  Berkeley
 * 1986
 *
 * This file contains definitions for using the VEM global highlight
 * set.  The following files should be included before this one:
 *   general.h
 */

#ifndef HILITE
#define HILITE

#include "general.h"

extern vemStatus vemGetHiLite();
   /* Obtain control over highlight set  */

extern vemStatus vemRelHiLite();
   /* Release control over highlight set */

#endif
