/*LINTLIBRARY*/
/*
 * Internal Declarations for VEM Windows
 *
 * David Harrison
 * University of California,  Berkeley
 * 1988, 1989
 *
 * This file contains the global declarations for internal data
 * structures used by several files in this directory.  These
 * data structures are not exported to the rest of VEM.
 */

#include "wininternal.h"	/* Internal view */

char *wn_pkg_name = "window";

/* Transformation stack */
tr_stack *_wnTranStack = (tr_stack *) 0;

/* Required height of all graphics window title bars */
int _wnTBHeight = 0;

/* Temporary for scale computations */
octCoord _wnSTemp;
