/*   cy_maxmin.c
 *
 *   Author:     Umakanta Choudhury
 *   Date:       15 July 1989
 *   Last modified:  Enrico Malavasi,  Aug. 1992
 *
 *   Purpose: Estimate maximum and minimum capacitances in y-direction
 *            between nets 
 */
#include <stdio.h>
#include "layout.h"

REPORT
  cy_maxmin(chan_info)
struct Chan_info *chan_info;
{

    /* fixed pins of net1 and pins of net2 */
    if(net1fix_net2(chan_info) != OK) 		return(ERROR);

    /* top floating pins of net1 and pins of net2 */
    if(net1fl_net2(chan_info,TOP) != OK) 	return(ERROR);
    
    /* bottom floating pins of net1 and pins of net2 */
    if(net1fl_net2(chan_info,BOTTOM) != OK) 	return(ERROR);

    return OK;
}

