/*      ROUTINE FOR INITIALIZING PERFORMANCE 
*       CHAN_INFO STRUCTURE 
*       --------------------------------
*
*   File:       init_chan.c
*   Author:     Umakanta Choudhury
*   Date:       29th June 1989
*
*
*/

#include <stdio.h>
#include "circuit.h"
#include "layout.h"

extern int strcmp();

REPORT init_chan(chan_info,netA,netB,channel)
struct Chan_info *chan_info;
struct Net *netA;
struct Net *netB;
struct Channel *channel;
{
    chan_info->netA = netA;
    chan_info->netB = netB;
    chan_info->channel = channel;
    chan_info->param_num = 0;
    chan_info->C_bound = 0;
    chan_info->Cx_max = 0;
    chan_info->Cx_min = 0;
    chan_info->Cy_max = 0;
    chan_info->Cy_min = 0;
    chan_info->Ccross_max = 0;
    chan_info->Ccross_min = 0;
    chan_info->C_max = 0;
    chan_info->C_min = 0;
    chan_info->C_min_shield = 0;
    chan_info->Lx_max = 0;
    chan_info->Ly_max = 0;
    chan_info->shielded = NO;

    return OK;	
}
