/*      ROUTINE FOR INITIALIZING PERFORMANCE 
*       STRUCTURE 
*       --------------------------------
*
*   File:       init_perf.c
*   Author:     Umakanta Choudhury
*   Date:       27th June 1989
*
*
*/

#include <stdio.h>
#include "utility.h"
#include "circuit.h"
#include "layout.h"

extern int strcmp();

REPORT init_perf(performance,name,number)
struct Performance *performance;
char *name;
int number;
{
	/*
	performance = (struct Performance *)
		malloc(sizeof(struct Performance *));
    performance->prev = NULL;
    performance->next = circuit->perf_list;
	circuit->perf_list = performance;
	*/
	performance->name = util_strsav(name);
	performance->number = number;
	performance->pos_eqn_num = 0;
	performance->neg_eqn_num = 0;
	performance->pos_constraint = NO;
	performance->neg_constraint = NO;
	performance->max_pos_change = 0;
	performance->max_neg_change = 0;
	performance->delta_pos_min = 0;
	performance->delta_neg_min = 0;
 
	return(OK);
	
}
