c##       fm01adf        14/02/75
c name fm01adf(r)                check
c    fm01ad - a routine to compute the inner product of two             
c      double precision real vectors accumulating the result            
c      double precision.  it is an ansi standard fortran iv             
c      routine and may be used as an alternative to the library         
c      assembler routine fm01ad.                                        
c                                                                       
      double precision function fm01ad(n,a,b)                           
      double precision r1,a,b                                           
      dimension a(n),b(n)                                               
c                                                                       
c    n   the length of the vectors (if n<= 0  fm01ad = 0)               
c    a   the first vector                                               
c    b   the second vector                                              
c    fm01ad  the result (double precision)                              
c                                                                       
      r1=0.d0                                                           
      if(n.le.0) go to 2                                                
      do 1 i=1,n                                                        
    1 r1=r1+a(i)*b(i)                                                   
    2 fm01ad=r1                                                         
      return                                                            
      end                                                               
