/*
 *  FILE:rpcMain.c
 *
 *  DESCRIPTION:
 *
 *
 *  CREATION DATE: 1987		AUTHOR: Andrea Casotto
 *
 *  FUNCTIONS:
 */
#include "rpc.h"

int rpcSoftFlat(), rpcHardFlat(), rpcHardMacro(), rpcSoftMacro(), rpcInstSubs(), rpcExit();
int rpcFlatToPhysical();
RPCFunction CommandArray[] = {
  {rpcFlatToPhysical,	"net-list editor", "flat to physical"},
  {rpcSoftFlat,	"net-list editor", "flat soft"},
  {rpcHardFlat,	"net-list editor", "flat hard"},
  {rpcSoftMacro,"net-list editor", "make soft macro"},
  {rpcHardMacro,"net-list editor", "make hard macro "}, 
  {rpcInstSubs, "net-list editor", "change view"},
  {rpcExit,	"net-list editor", "exit"}
};

long UserMain(display, spot, cmdList, userOptionWord, array)
     char *display;
     RPCSpot *spot;
     lsList cmdList;
     long userOptionWord;
     RPCFunction **array;
{
    vemMessage("Net-list editor ready\n", MSG_DISP|MSG_NOLOG);
    *array = CommandArray;
    return (sizeof(CommandArray) / sizeof(RPCFunction));
}


rpcExit(spot, cmdList , userOptionWord)
     RPCSpot *spot;
     lsList cmdList;
     long userOptionWord;
{
  RPCExit(RPC_OK);
}



FatalError(es)
     char *es;			/* error string */
{
  char buffer[256];
  
  sprintf(buffer,"nle:Fatal Error: %s\n",es);
  vemMessage(buffer, MSG_DISP|MSG_NOLOG);
  RPCExit(RPC_OK);
}

Warning(es)
     char *es;			/* error string */
{
  char buffer[256];

  sprintf(buffer, "nle: Warning: %s\n", es);
  vemMessage(buffer, MSG_DISP|MSG_NOLOG);
}

