/*
 * VEM Bag Management Header
 *
 * This file includes commands for manipulating bags and a set
 * of routines specified here for registration purposes.  Routines
 * that deal with bags can make sure a bag is not a VEM bag using
 * these routines. 
 */

#ifndef BAGS
#define BAGS

#include "general.h"

extern vemStatus vemNewBagName();
   /* Register a VEM bag name */
extern vemStatus vemIsBagName();
   /* Returns VEM_OK if the name has been registered */

#endif
