/*
 * VEM Selection Header
 *
 * David Harrison
 * University of California,  Berkeley
 * 1986
 *
 * This file contains the header for the selection commands defined
 * in selection.c.
 */

#ifndef SELECTION
#define SELECTION

extern vemStatus selectCmd();
   /* Command to put geometry in a selected set */
extern vemStatus unSelectCmd();
   /* Command to remove geometry from a selected set */

extern vemStatus selectNetOrBag();
   /* Routine to select a symbolic policy net */

extern vemStatus selectWipe();
   /* Wipe out a selected set */

#endif
